package wtf.opal.client;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public final class ReleaseInfo {
   public static final ReleaseInfo.ReleaseChannel CHANNEL;
   public static final String VERSION;

   static {

      VERSION = "2.0-beta.11";
      CHANNEL = ReleaseInfo.ReleaseChannel.DEVELOPMENT;
   }
@Environment(EnvType.CLIENT)
   public static enum ReleaseChannel {
      PUBLIC("public"),
      BETA("beta"),
      DEVELOPMENT("development");

      private final String name;

      private ReleaseChannel(final String name) {
         this.name = name;
      }

      @Override
      public String toString() {
         return this.name;
      }

}
}
